#include "../../../lib/std.mi"

Global Animatedlayer blinker;
Global Button playbutt, stopbutt;
Global Text bitrate, hidden, stereostrg;

System.onScriptLoaded() {
	blinker = getcontainer("main").getlayout("normal").findobject("Blinkeranim");
	playbutt = getcontainer("main").getlayout("normal").findobject("play");
	stopbutt = getcontainer("main").getlayout("normal").findobject("stop");
	bitrate = getcontainer("main").getlayout("normal").findobject("Bitnum");
	hidden = getcontainer("main").getlayout("normal").findobject("hidden");
	stereostrg = getcontainer("main").getlayout("normal").findobject("stereostrg");
	int x = System.getStatus();
	blinker.setAutoReplay(1);
  	if (x == -1) {
  		blinker.play();
  	}
  	if (x == 0) {
		blinker.gotoFrame(0);
		blinker.stop();
		stopbutt.setxmlparam("image", "player.buttons.stop.p");
	}
	if (x == 1) {
		blinker.gotoFrame(1);
		blinker.stop();
		playbutt.setxmlparam("image", "player.buttons.play.p");
		string x = hidden.gettext();
		string y = System.getToken(x, " ", 0);
		int t = System.strsearch(x, "stereo");
		if (t> -1) String g = System.strmid(x, t, 6);
		else {
			int t = System.strsearch(x, "mono");
			if (t> -1) String g = System.strmid(x, t, 4);
		}
		bitrate.settext(y);
		stereostrg.settext(g);
	}
}

System.onResume() {
	blinker.gotoFrame(1);
	blinker.stop();
	playbutt.setxmlparam("image", "player.buttons.play.p");

}

System.onPause() {
	blinker.play();
	playbutt.setxmlparam("image", "player.buttons.play");
}

System.onPlay() {
	blinker.gotoFrame(1);
	blinker.stop();
	stopbutt.setxmlparam("image", "player.buttons.stop");
	playbutt.setxmlparam("image", "player.buttons.play.p");

}

System.onStop() {
	blinker.gotoFrame(0);
	blinker.stop();
	playbutt.setxmlparam("image", "player.buttons.play");
	stopbutt.setxmlparam("image", "player.buttons.stop.p");
	bitrate.settext("");
	stereostrg.settext("");
}

playbutt.onleftclick() {
	int x = System.getStatus();
	if (x == -1) {
  		System.play();
  	}
  	if (x == 0) {
		System.play();
	}
	if (x == 1) {
		System.pause();
	}
}

System.onInfoChange(String info) {
	string y = System.getToken(info, " ", 0);
	int t = System.strsearch(info, "stereo");
		if (t> -1) String g = System.strmid(info, t, 6);
		else {
			int t = System.strsearch(info, "mono");
			if (t> -1) String g = System.strmid(info, t, 4);
		}
		bitrate.settext(y);
		stereostrg.settext(g);
}