/* eq-drawer.m by Da_Pipe for the Offical Vagdesign.com Skin

updated for Winamp 5.666 by Ariszlo, using code from Rontz's GC skin:
http://web.archive.org/web/20061018173108/http://www.gc-germany.de/res_area/GC.wal */

#include "../../../lib/std.mi"

Global Container main, pledit;
Global Layout mainnormal, PLLayout;
Global Button eqbutt, plbutt, plclose;
Global Group eqdrawer, plgroup;
Global Boolean eqopen, plopen, eqmoving, plmoving;
Global Text songticker, prevbutt, stopbutt, playbutt, nextbutt;
Global String PLLeft, PLTop;
Global Layer PleditMoveBg;

Function PLfit(); // fit the PE window in the Playlist Drawer
Function PLshrink(); // reduce the size of the PE window to 0x0 pixels

System.onScriptLoaded() {
	mainnormal = System.getContainer("main").getLayout("normal");
	eqbutt = System.getContainer("main").getLayout("normal").findobject("eq");
	eqdrawer = System.getContainer("main").getLayout("normal").findobject("eqdrawer");
	plbutt = System.getContainer("main").getLayout("normal").findobject("pl");
	plgroup = System.getContainer("main").getLayout("normal").findobject("pl.drawer");
	songticker = System.getContainer("main").getLayout("normal").findobject("songticker");
	prevbutt = System.getContainer("main").getLayout("normal").findobject("Prevbutt");
	stopbutt = System.getContainer("main").getLayout("normal").findobject("Stopbutt");
	playbutt = System.getContainer("main").getLayout("normal").findobject("Playbutt");
	nextbutt = System.getContainer("main").getLayout("normal").findobject("Nextbutt");
	plclose = System.getContainer("main").getLayout("normal").findobject("pl.close");
	PleditMoveBg = System.getContainer("main").getLayout("normal").findobject("pledit.move.bg");

	plopen = System.getPrivateInt("Vag", "Pl_open", 0);
	eqopen = System.getPrivateInt("Vag", "Eq_open", 0);
	eqdrawer.hide();
	plgroup.hide();
	PLshrink();
	eqbutt.setActivated(eqopen);
	plbutt.setActivated(plopen);
}

mainnormal.onMove() {
   if (plopen) {
	PLfit();
	pledit.show();
	PleditMoveBg.setAlpha(0);
	}
   else PLshrink();
}

mainnormal.onScale(Double mainscale) {
	if (plopen) {
	  PLLeft = System.integerToString(mainnormal.getLeft() + (65 * mainscale));
	  PLLayout.setXmlParam("x", PLLeft);
	  PLTop = System.integerToString(mainnormal.getTop() + (381 * mainscale));
	  PLLayout.setXmlParam("y", PLTop);
	  PLLayout.setScale(mainscale);
	}
}

eqbutt.onActivate(int activated) {
	if (!plopen) {
		eqopen = activated;
		System.setPrivateInt("Vag", "Eq_open", activated);
		if (!activated) {
	  		eqdrawer.settargetx(0);
	  		eqdrawer.settargety(-50);
	  		eqdrawer.settargetspeed(2);
	  		eqdrawer.gototarget();
		}
		else if (activated) {
	  		eqdrawer.show();
	  		eqdrawer.settargetx(0);
	  		eqdrawer.settargety(145);
	  		eqdrawer.settargetspeed(2);
	  		eqdrawer.gototarget();
		}
   }
   if (plopen) {
	   eqmoving =1;
	   eqbutt.setActivatedNoCallback(0);
	   plbutt.setactivated(0);
	   eqopen = 0;
	   System.setPrivateInt("Vag", "Eq_open", eqopen);
   }
}

eqdrawer.ontargetreached() {
    if (!eqopen) eqdrawer.hide();
    if (plmoving == 1) {
	    plbutt.setactivated(1);
	    plmoving = 0;
    }
}

plbutt.onActivate(int activated) {
	if (!eqopen) {
	 plopen = activated;
	 System.setPrivateInt("Vag", "Pl_open", activated);
	if (!activated) {
	  plgroup.settargetx(0);
	  plgroup.settargety(-90);
	  plgroup.settargetspeed(2);
	  PleditMoveBg.setAlpha(255);
	  PLshrink();
	  plgroup.gototarget();
	}
	else if (activated) {
	  plgroup.show();
	  plgroup.settargetx(0);
	  plgroup.settargety(185);
	  plgroup.settargetspeed(2);
	  plgroup.gototarget();
	}
    }
	 if (eqopen) {
	   plmoving =1;
	   plbutt.setActivatedNoCallback(0);
	   eqbutt.setactivated(0);
	   plopen = 0;
	    System.setPrivateInt("Vag", "Pl_open", plopen);
    }
}

plgroup.ontargetreached() {
    if (!plopen) {
	    plgroup.hide();
    }
    if (plopen) {
	  PLfit();
	  pledit.show();
	  PleditMoveBg.setAlpha(0);
    }
    if (eqmoving == 1) {
	    eqbutt.setactivated(1);
	    eqmoving = 0;
    }
}

prevbutt.onleftbuttonup(int x, int y) {
	System.previous();
}

stopbutt.onleftbuttonup(int x, int y) {
	System.stop();
}

playbutt.onleftbuttonup(int x, int y) {
	System.play();
}
nextbutt.onleftbuttonup(int x, int y) {
	System.next();
}

plclose.onleftclick() {
	plbutt.setactivated(0);
}

PLfit() {
	pledit = System.getContainer("Pledit");
	PLLayout = pledit.getLayout("playl");
	PLLayout.setXmlParam("w", "206");
	PLLayout.setXmlParam("h", "96");
	Double mainscale;
	mainscale = mainnormal.getScale();
	PLLeft = System.integerToString(mainnormal.getLeft() + (65 * mainscale));
	PLLayout.setXmlParam("x", PLLeft);
	PLTop = System.integerToString(mainnormal.getTop() + (381 * mainscale));
	PLLayout.setXmlParam("y", PLTop);
	PLLayout.setScale(mainscale);
//	pledit.show();
}

PLshrink() {
	pledit = System.getContainer("Pledit");
	PLLayout = pledit.getLayout("playl");
	PLLayout.setXmlParam("w", "0");
	PLLayout.setXmlParam("h", "0");
}
